%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin

Name:           python%{pyver}-pysparse
Version:        1.3
Release:        0.1%{?dist}
Summary:        A fast sparse matrix library for Python
Group:          Applications/Engineering
License:        BSD
URL:            http://pysparse.sourceforge.net/index.html
Source0:        pysparse-%{version}-dev.tar.bz2
Patch0:         pysparse-1.2-fix-implicit-definitions.patch
Patch1:         pysparse-1.2-fix-no-return-in-nonvoid-function.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python%{pyver}-devel numpy%{pyver} atlas-devel python%{pyver}-distribute
BuildRequires:  python%{pyver}-sphinx python%{pyver}-pygments gcc-gfortran
BuildRequires:	environment-modules

%description
Pysparse is a fast sparse matrix library for Python. It provides several sparse
matrix storage formats and conversion methods. It also implements a number of
iterative solvers, preconditioners, and interfaces to efficient factorization
packages. Both low-level and high-level interfaces are available, each with
different strengths.

%prep
%setup -q -n pysparse-%{version}-dev
%patch0 -p1
%patch1 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --prefix %{_prefix} --root $RPM_BUILD_ROOT

# build doc
. /etc/profile.d/modules.sh
module load python/2.7
PYTHONPATH=$RPM_BUILD_ROOT%{python_sitearch} make -C doc/pysparse PAPER=letter html
rm -f doc/pysparse/build/html/.buildinfo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README TODO examples test doc/pysparse/build/html
%{python_sitearch}/*

%changelog
* Wed Dec 28 2011 Huaren Zhong <huaren.zhong@gmail.com> - 1.2
- Rebuild for Fedora

* Sat Apr 02 2011 scorot@gtt.fr
- Fix no-return-in-non-void-function

* Fri Apr 01 2011 scorot@gtt.fr
- first package
